%bcond_without  python3

%global pkgname django-federated-login

Name:           python-django-federated-login
Version:        1.0.0
Release:        6%{?dist}
Summary:        Provides federated logins to django projects

Group:          Development/Languages
License:        MIT
URL:            http://github.com/Bouke/django-federated-login
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-openid == 2.2.5
Requires:       python-openid == 2.2.5
BuildRequires:  python-tox
Requires:       python-tox
BuildRequires:  python-flake8
Requires:       python-flake8
BuildRequires:  python-coverage
Requires:       python-coverage
Requires:       python-django
BuildRequires:  python-django

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description

Django Federated Login provides an authentication bridge between 
Django projects and OpenID-enabled identity providers. The bridge is 
pre-wired to be used with a single Google Apps domain, but could be 
extended to be linked with other OpenID providers also. It is different 
from other OpenID consumers as this consumer only allows connecting to
a pre-defined identity provider.

The provided backend matches users based on the e-mail address returned 
from the identity provider. If no matching user could be found, a user 
account can optionally be created.

%if 0%{?with_python3}
%package -n python3-django-federated-login
Summary:        Provides federated logins to django projects
Group:          Development/Languages

BuildRequires:  python3-openid
Requires:       python3-openid
BuildRequires:  python3-flake8
Requires:       python3-flake8
BuildRequires:  python3-django
Requires:       python3-django
BuildRequires:  python3-coverage
Requires:       python3-coverage

%description -n python3-django-federated-login
Django Federated Login provides an authentication bridge between
Django projects and OpenID-enabled identity providers. The bridge is
pre-wired to be used with a single Google Apps domain, but could be
extended to be linked with other OpenID providers also. It is different
from other OpenID consumers as this consumer only allows connecting to
a pre-defined identity provider.

The provided backend matches users based on the e-mail address returned
from the identity provider. If no matching user could be found, a user
account can optionally be created.

%endif

%prep
%setup -q -n  %{pkgname}-%{version}
rm -rf %{pkgname}.egg-info

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif

%build
python setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
python setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%check
flake8 federated_login example tests

%if 0%{?with_python3}
pushd %{py3dir}
flake8 federated_login example tests
popd
%endif

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/federated_login
%{python_sitelib}/example
%{python_sitelib}/tests
%{python_sitelib}/django_federated_login-*.egg-info

%if 0%{?with_python3}
%files -n python3-django-federated-login
%doc README.rst LICENSE.txt
%{python3_sitelib}/federated_login
%{python3_sitelib}/example
%{python3_sitelib}/tests
%{python3_sitelib}/django_federated_login-*.egg-info
%endif

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Apr 01 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.0.0-4
- eliminating support for python3 

* Mon Mar 31 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.0.0-3
- comment test area

* Wed Mar 26 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.0.0-2
- add python3 compatibility

* Wed Mar 26 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.0.0-1
- New upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 15 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.4.0-1
- New Upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.1-1
- New Upstream version

* Mon Sep 17 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.0-3
- Fix License
- add python openid to requires

* Fri Sep 14 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.0-2
- give better space to description

* Fri Sep 14 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.0-1
- Initial Import

